// 基于 @CONTROL/应用菜单/SERVICE.ts.ftl 生成
import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import Usr1207222915MenuModel from './usr1207222915-menu-appmenu-model';


/**
 * Usr1207222915Menu 部件服务对象
 *
 * @export
 * @class Usr1207222915MenuService
 */
export default class Usr1207222915MenuService extends ControlService {

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof Usr1207222915MenuService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * Creates an instance of Usr1207222915MenuService.
     * 
     * @param {*} [opts={}]
     * @memberof Usr1207222915MenuService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new Usr1207222915MenuModel();
    }

    /**
     * 获取数据
     *
     * @returns {Promise<any>}
     * @memberof Usr1207222915Menu
     */
    @Errorlog
    public get(params: any = {}): Promise<any> {
        return Http.getInstance().get('v7/usr1207222915-menuappmenu', params);
    }

}